Skip to main content

get_answer_set

GET /answer_sets/:id

Get a single answer_set

require 'rest-client'

answer_set_id = 'PUT-YOUR-ANSWER_SET-ID-HERE'

RestClient::Request.execute method: :get,
url: "https://api.diduenjoy.com/api/v1/answer_sets/#{answer_set_id}",
user: 'PUT-YOUR-API-KEY-HERE'

attributes

attributedescription
created_at
datetime
answer_set creation date
updated_at
datetime
answer_set last modification date
comment
string
responder comment
completed
boolean
equal "true" if the responder completed all your survey pages else "false"
status
string
status of the answer set. Possible values: live or deleted
would_recommend
integer
responder recommendation note
segments
hash { string: string|array[string] }
custom data associated with the answer_set
tags
hash { string: string|array[string] }
custom tags associated with the answer_set
root_causes
hash { string: string|array[string] }
custom root causes associated with the answer_set
action_taken
hash { string: string|array[string] }
custom action taken associated with the answer_set
resolved
boolean
equal "true" if the answer_set has been set to resolved
dispatch_sent_at
datetime
sending date of the answer_set
completed_at
datetime
answer completion date
last_opening_date
datetime
last opening date of the answer_set
first_resolution_date
datetime
date of the first resolution
last_resolution_date
datetime
date of the last resolution
resolution_time
integer
the total combined time answer_set was in the new, open, and on-hold statuses
full_resolution_time
integer
duration between answer_set creation and its most recent resolution
resolver_account
email
resolver email
answers
array[hash]
answers ex: [
 {
  "label": "Short Comment",
  "kind": "short_text_input",
  "translations": {"ar": "Short Comment - ar","en": "Short Comment - en"},
  "value": "short text"
 },
 {
  "label": "NPS",
  "kind": "rating",
  "translations":{"ar": "NPS - ar","en": "NPS - en"},
  "value": 8,
  "rating_scale":{"min": "1","max": "10"}
 },
 {
  "label": "Multi Select",
  "kind": "multiple_select",
  "translations":{"ar":"Multi Select - ar","en": "Multi Select - en"},
  "value": ["A","B","C"]
 }
]
company_language
string
language of the company
comment_translation
string
comment translated into company language
profile
string
respondent profile ('detractor','passive','promoter','unknown')
permalink
string
link to the answer_set in the dashboard messaging section.

relationships

relationshipdescription
surveyanswer_set survey
clientanswer_set responder
survey_languageanswer_set survey_language
choicesresponder choices
answersresponder answers
feedback_tagsanswer_set tags
messagesfeedback messages (from client and company)